#villager trades
function nlib:villager_trades

#musket
function nlib:items_script/musket_script

#flint_lock_pistol
function nlib:items_script/flintlock_pistol_script

#rifled_musket
function nlib:items_script/rifled_musket_script

#miquelet_rifle
function nlib:items_script/miquelet_rifle_script

#arquebus
function nlib:items_script/arquebus_script

#musketoon
function nlib:items_script/musketoon_script

#musket no bayonet
function nlib:items_script/musket_no_bayonet_script

#dragon pistol
function nlib:items_script/dragon_pistol_script

#blunderbuss
function nlib:items_script/blunderbuss

#lance and pike
function nlib:items_script/lance_n_pike_script

#cavalry_swords
function nlib:items_script/cavalry_sword

#bandage
function nlib:items_script/bandage_script

#buildings
function nlib:buildings

execute store result score playerCount nlib_playercount if entity @e[type=player]

effect give @a[scores={musiclength=1..}] slowness 1 10 true
effect give @a[scores={musiclength=1..}] jump_boost 1 128 true

scoreboard players set @a[scores={playMusic=1..,musiclength=1..}] music 0
stopsound @a[scores={playMusic=1..,musiclength=1..}] block
scoreboard players set @a[scores={playMusic=1..,musiclength=1..}] nlib_sneak 0
scoreboard players set @a[scores={playMusic=1..,musiclength=1..}] musiclength 0

scoreboard players enable @a[tag=host] artydmg
scoreboard players enable @a[tag=host] deadsound
scoreboard players enable @a[tag=host] cavalrybuff
scoreboard players enable @a[tag=host] nomovewhilereloadnaim

execute if score artydmg artydmg matches 0 run tellraw @a[scores={artydmg=1..},tag=host] {"text":"Enable Artillery Destruction","bold":true,"color":"green"}
execute if score deadsound deadsound matches 0 run tellraw @a[scores={deadsound=1..},tag=host] {"text":"Enable Dead Sound","bold":true,"color":"green"}
execute if score cavalrybuff cavalrybuff matches 0 run tellraw @a[scores={cavalrybuff=1..},tag=host] {"text":"Enable Cavalry Buff","bold":true,"color":"green"}
execute if score nomovewhilereloadnaim nomovewhilereloadnaim matches 0 run tellraw @a[scores={nomovewhilereloadnaim=1..},tag=host] {"text":"Enable No Move While Reload and Aim","bold":true,"color":"green"}

execute as @a[scores={artydmg=1..},tag=host] run scoreboard players add artydmg artydmg 1
execute as @a[scores={deadsound=1..},tag=host] run scoreboard players add deadsound deadsound 1
execute as @a[scores={cavalrybuff=1..},tag=host] run scoreboard players add cavalrybuff cavalrybuff 1
execute as @a[scores={nomovewhilereloadnaim=1..},tag=host] run scoreboard players add nomovewhilereloadnaim nomovewhilereloadnaim 1

execute if score artydmg artydmg matches 2.. run tellraw @a[tag=host] {"text":"Disable Artillery Destruction","bold":true,"color":"red"}
execute if score deadsound deadsound matches 2.. run tellraw @a[tag=host] {"text":"Disable Dead Sound","bold":true,"color":"red"}
execute if score cavalrybuff cavalrybuff matches 2.. run tellraw @a[tag=host] {"text":"Disable Cavalry Buff","bold":true,"color":"red"}
execute if score nomovewhilereloadnaim nomovewhilereloadnaim matches 2.. run tellraw @a[tag=host] {"text":"Disable No Move While Reload and Aim","bold":true,"color":"red"}

execute if score artydmg artydmg matches 2.. run scoreboard players set artydmg artydmg 0
execute if score deadsound deadsound matches 2.. run scoreboard players set deadsound deadsound 0
execute if score cavalrybuff cavalrybuff matches 2.. run scoreboard players set cavalrybuff cavalrybuff 0
execute if score nomovewhilereloadnaim nomovewhilereloadnaim matches 2.. run scoreboard players set nomovewhilereloadnaim nomovewhilereloadnaim 0

scoreboard players set @a[scores={artydmg=1..},tag=host] artydmg 0
scoreboard players set @a[scores={deadsound=1..},tag=host] deadsound 0
scoreboard players set @a[scores={cavalrybuff=1..},tag=host] cavalrybuff 0
scoreboard players set @a[scores={nomovewhilereloadnaim=1..},tag=host] nomovewhilereloadnaim 0

#bugle
function nlib:items_script/bugle_script

#flute
function nlib:items_script/flute_script

#drum
function nlib:items_script/drum_script

#artilleries
function nlib:artilleries_script/artilleries

execute as @a store result score @s bulletCount run clear @s iron_nugget 0
execute store result score count rocketcount if entity @e[type=arrow,tag=rocket]
scoreboard players set @a[scores={triggerGunPoint=500..}] reloadGun 0
scoreboard players set @a[nbt=!{SelectedItem:{id:"minecraft:carrot_on_a_stick"}},scores={reloadGun=1..}] reloadGun 0
scoreboard players set @a[nbt=!{SelectedItem:{id:"minecraft:carrot_on_a_stick"}},nbt=!{SelectedItem:{id:"minecraft:crossbow"}},scores={triggerGunPoint=1..}] triggerGunPoint 0

scoreboard players set @a[scores={music=6},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:20099}}}] music 0
scoreboard players set @a[scores={music=11..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:200910}}}] music 0
scoreboard players set @a[scores={music=8..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:200911}}}] music 0
scoreboard players add @a[scores={musiclength=1..}] musiclengthtick 1
scoreboard players remove @a[scores={musiclengthtick=20..}] musiclength 1
scoreboard players set @a[scores={musiclengthtick=20..}] musiclengthtick 0
scoreboard players set @a[scores={musiclength=1..}] music 0

execute if score nomovewhilereloadnaim nomovewhilereloadnaim matches 1 run effect give @a[nbt={SelectedItem:{tag:{Tags:[m234]}}}] jump_boost 1 128 true
execute if score nomovewhilereloadnaim nomovewhilereloadnaim matches 1 run effect give @a[nbt={SelectedItem:{tag:{Tags:[m234]}}}] slowness 1 128 true
effect give @a[nbt={SelectedItem:{tag:{Tags:[m234]}}}] slowness 1 2 true
effect give @a[nbt={SelectedItem:{tag:{Tags:[p234]}}}] slowness 1 1 true

scoreboard players add @a[scores={reloadGun=1..,bulletCount=1..},gamemode=!creative] triggerGunPoint 1
scoreboard players add @a[scores={reloadGun=1..},gamemode=creative] triggerGunPoint 1

execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set min RNG_77 1
execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set max RNG_77 3
execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run function nlib:rand
execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run execute if score number RNG_77 matches 1 run playsound custom:aagh master @s
execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run execute if score number RNG_77 matches 2 run playsound custom:huagh master @s
execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run execute if score number RNG_77 matches 3 run playsound custom:uroar master @s

execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set number RNG_77 0
execute if score deadsound deadsound matches 1.. run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set @s nlib_deaths 0

### fafik77 tick
scoreboard players add #clock_time RNG_77 1
execute if score #clock_time RNG_77 matches 992.. run scoreboard players set #clock_time RNG_77 1